### Functions

## Checks if the object classes and attributes for this module are available.

    checkSchemaForModule(String $name, String $type) : String

### Parameters

#### $name

`String`

module name

#### $type

`String`

type (user, group, ...)

### Returns

`String`error message or null

## Displays the main page of the OU editor

    display_main(String $message, String $error)

### Parameters

#### $message

`String`

info message

#### $error

`String`

error message

## Returns the names of all attributes which are managed by the given object class and its parents.

    getRecursiveAttributesFromObjectClass(\ObjectClass $oClass) : array

### Parameters

#### $oClass

`\ObjectClass`

object class

### Returns

`array`list of attribute names

## Returns the tools which are available for LAM.

    getTools() : array

### Returns

`array`list of LAMtool classes

## Runs all tests for a given server.

    lamRunLamdaemonTestSuite(String $serverName, String $serverTitle, boolean $testQuota, \htmlTable $container)

### Parameters

#### $serverName

`String`

server ID

#### $serverTitle

`String`

server name

#### $testQuota

`boolean`

true, if Quotas should be checked

#### $container

`\htmlTable`

container for HTML output

## Connects to the given SSH server.

    lamTestConnectSSH(String $server) : object

### Parameters

#### $server

`String`

server name (e.g. localhost or localhost,1234)

### Returns

`object`handle

## Runs a test case of lamdaemon.

    lamTestLamdaemon(string $command, boolean $stopTest, \connection $handle, string $testText, \htmlTable $container) : boolean

### Parameters

#### $command

`string`

test command

#### $stopTest

`boolean`

specifies if test should be run

#### $handle

`\connection`

SSH connection

#### $testText

`string`

describing text

#### $container

`\htmlTable`

container for HTML output

### Returns

`boolean`true, if errors occured

## Prints a back button to the page where the user enters a file to upload.

    massPrintBackButton(String $scope, array $selectedModules, \htmlTable $container)

### Parameters

#### $scope

`String`

account type (e.g. user)

#### $selectedModules

`array`

selected modules for upload

#### $container

`\htmlTable`

table container

## Displays the acount type specific main page of the upload.

    showMainPage(string $scope, array $selectedModules)

### Parameters

#### $scope

`string`

account type

#### $selectedModules

`array`

list of selected account modules

### Classes and interfaces

# LAMTool¶

Represents a tool.

« More »

# LAMSubTool¶

Represents a subtool.

« More »

# toolFileUpload¶

File upload

« More »

# toolOUEditor¶

OU editor

« More »

# toolPDFEditor¶

PDF editor

« More »

# toolProfileEditor¶

Profile editor

« More »

# toolSchemaBrowser¶

Schema browser

« More »

# toolServerInformation¶

Server information

« More »

# toolTests¶

Tests page

« More »